#ifndef STRING_H
#define STRING_H
#include <string>
class String {
public:
	String();
	String(const String& org);
	String& operator=(const String& rhs);
	~String();
	String(const char* val);
	String(const char val);
	unsigned int size() const;
	const char& operator[](unsigned int index) const;
	char& operator[](unsigned int index);
	void clear();
	String add(const String& rhs) const;
	String& operator+=(const String& rhs);
	String substr(unsigned int start, unsigned int length) const;
	bool operator<(const String& rhs) const;
	
private:
	char* letters;
	unsigned int sz;
};

String operator+(const String& lhs, const String& rhs);

#endif